Bug 40383 - kerberos/autostart in Samba 4 environments
kerberos/autostart in Samba 4 environments
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Arvid Requate
Felix Botner
:
Depends on:
Blocks: 44936
  Show dependency treegraph
 
Reported: 2016-01-07 09:25 CET by Stefan Gohmann
Modified: 2017-07-04 20:03 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
umc-services.png (63.60 KB, image/png)
2016-01-07 09:25 CET, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-01-07 09:25:44 CET
Created attachment 7396 [details]
umc-services.png

We have had several support issues because kerberos/autostart was set to yes in Samba 4 environments.

I guess it happens when the user has a login problem and checks the system services in UMC. See attached screenshot. One might conclude that Kerberos is needed.

Maybe we can simply divert /etc/univention/service.info/services/univention-heimdal-kdc.cfg and extend the UCR variable description for kerberos/autostart?
Comment 1 Arvid Requate univentionstaff 2016-03-22 21:22:17 CET
Fixed.

Advisories: 
 * univention-config-registry.yaml          (Show only *.cfg service files)
 * univention-heimdal.yaml               (Improve UCR variable description)
 * univention-samba4.yaml  (divert the univention-heimdal-kde service info)
Comment 2 Felix Botner univentionstaff 2016-04-12 16:40:00 CEST
OK - univention-config-registry.yaml
OK - univention-heimdal.yaml

OK - univention-samba4.yaml